//
//  RuralforkViewController.m
//  Ruralfork
//

#import "RuralforkViewController.h"

@implementation RuralforkViewController

@synthesize pickerView;
@synthesize foodLabel;
@synthesize calorieLabel;
@synthesize dailyValueLabel;

#pragma mark -
#pragma mark UIPickerViewDataSource methods

- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
	return 1;
}

- (NSInteger)pickerView:(UIPickerView *)pickerView
	numberOfRowsInComponent:(NSInteger)component
{
	return [foodArray count];
}

#pragma mark -
#pragma mark UIPickerViewDelegate methods

- (NSString *)pickerView:(UIPickerView *)pickerView
			 titleForRow:(NSInteger)row
			forComponent:(NSInteger)component
{
	NSDictionary *foodInfo = [foodArray objectAtIndex:row];
	return [foodInfo objectForKey:@"name"];
}

- (void)pickerView:(UIPickerView *)pickerView
	  didSelectRow:(NSInteger)row
	   inComponent:(NSInteger)component
{
	NSDictionary *foodInfo = [foodArray objectAtIndex:row];
	
	NSString *name = [foodInfo objectForKey:@"name"];
	NSNumber *calories = [foodInfo objectForKey:@"calories"];
	
	// assuming a 2000 calorie-a-day diet
	int dailyValue = [calories floatValue] / 2000 * 100;
	
	foodLabel.text = name;
	calorieLabel.text =
	[NSString stringWithFormat:@"%@ calories", calories];
	dailyValueLabel.text =
	[NSString stringWithFormat:@"%d%% of a 2000 calorie diet", dailyValue];
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
	
	NSBundle *bundle = [NSBundle mainBundle];
	NSString *path =
		[bundle pathForResource:@"Food" ofType:@"plist"];
	foodArray = [[NSArray alloc] initWithContentsOfFile:path];
	
	pickerView.delegate = self;
	pickerView.dataSource = self;
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[pickerView release];
	[foodLabel release];
	[calorieLabel release];
	[dailyValueLabel release];
	[foodArray release];
    [super dealloc];
}

@end
